﻿<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{844F5EC4-9224-42A9-986D-CE645AC970F2}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>Castle.MonoRail.Framework.Tests</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>Castle.MonoRail.Framework.Tests</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE;DEBUG</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
    <UseVSHostingProcess>true</UseVSHostingProcess>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>true</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="Castle.Components.Common.EmailSender, Version=1.0.3.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Components.Common.EmailSender.dll</HintPath>
    </Reference>
    <Reference Include="Castle.Components.Common.TemplateEngine.NVelocityTemplateEngine, Version=1.0.3.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Components.Common.TemplateEngine.NVelocityTemplateEngine.dll</HintPath>
    </Reference>
    <Reference Include="Castle.Core">
      <Name>Castle.Core</Name>
      <HintPath>..\..\build\net-2.0\debug\Castle.Core.dll</HintPath>
    </Reference>
    <Reference Include="Castle.DynamicProxy, Version=1.1.5.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.DynamicProxy.dll</HintPath>
    </Reference>
    <Reference Include="Castle.MicroKernel, Version=1.0.3.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.MicroKernel.dll</HintPath>
    </Reference>
    <Reference Include="Castle.Windsor, Version=1.0.3.0, Culture=neutral, PublicKeyToken=407dd0808d44fbdc, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\build\net-2.0\debug\Castle.Windsor.dll</HintPath>
    </Reference>
    <Reference Include="nunit.framework">
      <Name>nunit.framework</Name>
      <HintPath>..\..\build\net-2.0\debug\nunit.framework.dll</HintPath>
    </Reference>
    <Reference Include="Rhino.Mocks, Version=3.3.0.906, Culture=neutral, PublicKeyToken=0b3305902db7183f, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\SharedLibs\net\2.0\Rhino.Mocks.dll</HintPath>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.configuration" />
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <ProjectReference Include="..\..\Components\Validator\Castle.Components.Validator\Castle.Components.Validator-vs2005.csproj">
      <Project>{4C945D49-02E9-43F2-9202-E7A6E7C56E77}</Project>
      <Name>Castle.Components.Validator-vs2005</Name>
    </ProjectReference>
    <ProjectReference Include="..\Castle.MonoRail.Framework\Castle.MonoRail.Framework-vs2005.csproj">
      <Name>Castle.MonoRail.Framework-vs2005</Name>
      <Project>{EC393863-333E-49CE-94A6-654B9F323954}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Castle.MonoRail.TestSupport\Castle.MonoRail.TestSupport-vs2005.csproj">
      <Name>Castle.MonoRail.TestSupport-vs2005</Name>
      <Project>{E572DC59-2A96-482F-BE39-E938AB47EA9D}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Castle.MonoRail.WindsorExtension\Castle.MonoRail.WindsorExtension-vs2005.csproj">
      <Project>{6C51A1E3-7F20-4696-BFD6-829134678341}</Project>
      <Name>Castle.MonoRail.WindsorExtension-vs2005</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="Castle.MonoRail.Framework.Tests.build" />
    <None Include="contentinfs.vm" />
    <None Include="Content\notinassembly.vm" />
    <Compile Include="Actions\ActionMethodExecutorCompatibleTestCase.cs" />
    <Compile Include="Actions\ActionMethodExecutorTestCase.cs" />
    <Compile Include="Actions\DefaultActionSelectorTestCase.cs" />
    <Compile Include="Actions\DynamicActionExecutorTestCase.cs" />
    <Compile Include="Configuration\ViewEngineConfigTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\AccessibleThroughTestCase.cs" />
    <Compile Include="Controllers\Clients\ClientCartController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\Clients\ClientContactController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\Clients\ClientHomeController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\Clients\OtherController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\ContactController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\ControllerTestCase.cs" />
    <Compile Include="Controllers\ControllerWithAccessibleThroughTestCase.cs" />
    <Compile Include="Controllers\HomeController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\Products\CartController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\Products\ListController.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controllers\SmartDispatcherSimpleBindingTestCase.cs" />
    <Compile Include="Filters\ControllerLevelFiltersTestCase.cs" />
    <Compile Include="FlashTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Handlers\MRHandlerFactoryTestCase.cs" />
    <Compile Include="Handlers\ResourceFileHandlerTestCase.cs" />
    <Compile Include="Helpers\AbstractHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\AjaxHelper2TestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\DateFormatHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\DictHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\FormHelperCheckboxFieldListTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\FormHelperSelectTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\FormHelperSetOperation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\FormHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\HtmlHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\PaginationHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\ScriptaculousHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\TextHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\ValidationHelperTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Helpers\Validations\FormValidationTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="JSGeneration\DynamicDispatcherTestCase.cs" />
    <Compile Include="JSGeneration\JSCodeGeneratorTestCase.cs" />
    <Compile Include="JSGeneration\JSGeneratorDispatcherBaseTestCase.cs" />
    <Compile Include="JSGeneration\PrototypeElementGeneratorTestCase.cs" />
    <Compile Include="JSGeneration\PrototypeGeneratorTestCase.cs" />
    <Compile Include="JSON\JsonDataBinderTestCase.cs" />
    <Compile Include="JSON\JsonHelperTestCase.cs" />
    <Compile Include="MockObjectTests\MockRailsEngineContextTest.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Providers\DefaultControllerDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultFilterDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultHelperDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultLayoutDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultRescueDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultResourceDescriptorProviderTestCase.cs" />
    <Compile Include="Providers\DefaultTransformFilterDescriptorProviderTestCase.cs" />
    <Compile Include="Rescues\ActionLevelRescuesTestCase.cs" />
    <Compile Include="Rescues\ControllerLevelRescuesTestCase.cs" />
    <Compile Include="Rescues\CustomRescueControllerTestCase.cs" />
    <Compile Include="Resources\ActionsWithResourcesTestCase.cs" />
    <Compile Include="Resources\ControllerWithResourcesTestCase.cs" />
    <Compile Include="Resources\DefaultResourceFactoryTestCase.cs" />
    <Compile Include="Routing\BaseRuleTestFixture.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Routing\PatternRouteCreateUrlTestCase.cs" />
    <Compile Include="Routing\PatternRouteTestCase.cs" />
    <Compile Include="Routing\RoutingEngineTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Services\ControllerTreeTestCase.cs" />
    <Compile Include="Services\DefaultControllerFactoryTestCase.cs" />
    <Compile Include="Services\DefaultUrlBuilderRouteIntegrationTestCase.cs" />
    <Compile Include="Services\DefaultUrlBuilderTestCase.cs" />
    <Compile Include="Services\DefaultUrlTokenizerTestCase.cs" />
    <Compile Include="Services\EmailTemplateServiceTestCase.cs" />
    <Compile Include="Services\FileAssemblyViewSourceLoaderTestCase.cs" />
    <Compile Include="Services\PrototypeAjaxProxyGeneratorTestCase.cs" />
    <Compile Include="Services\StaticResourceRegistry\DefaultStaticResourceRegistryTestCase.cs" />
    <Compile Include="UrlPartsBuilderTestCase.cs" />
    <Compile Include="ViewComponents\AuthenticatedContentTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ViewComponents\DefaultViewComponentRegistryTests.cs" />
    <Compile Include="ViewComponents\DiggStylePaginationTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ViewComponents\SelectStylePaginationTestCase.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ViewEngines\ViewEngineBaseTestCase.cs" />
    <Compile Include="WikiFormatterTestCase.cs" />
    <Compile Include="WindsorIntegration\FacilityTestCase.cs" />
    <Compile Include="Wizards\WizardActionProviderTestCase.cs" />
  </ItemGroup>
  <ItemGroup>
    <Service Include="{B4F97281-0DBD-4835-9ED8-7DFB966E87FF}" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Include="Content\contentinassembly.vm" />
    <EmbeddedResource Include="Resources\Language.de.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Language.nl.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Resources\Language.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
    <EmbeddedResource Include="Services\StaticResourceRegistry\DummyRes.resx">
      <SubType>Designer</SubType>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Content Include="Handlers\Files\simplerequest.txt" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Routing\Stubs\" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>copy "$(ProjectDir)\App.config" "$(TargetPath).config"</PostBuildEvent>
  </PropertyGroup>
</Project>
